Agents
Delete an agent
DELETE /v1/agents/{agent_id}- Permission
write:configs- Tokens
- API key, CLI user token
Delete an API-managed agent. Existing session history remains available.
Path parameters
agent_idstringrequired
DELETE /v1/agents/{agent_id}write:configsDelete an API-managed agent. Existing session history remains available.
import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.agents.delete("check-tests")
print(result)import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.agents.delete("check-tests");
console.log(result);curl -X DELETE "https://api.ellipsis.dev/v1/agents/{agent_id}" \
-H "Authorization: Bearer $ELLIPSIS_API_TOKEN"